<?php
namespace App\ImportExport\WuxiLab\Import\Models;

use Maatwebsite\Excel\Concerns\Importable;
use Maatwebsite\Excel\Concerns\SkipsEmptyRows;
use Maatwebsite\Excel\Concerns\ToArray;
use Maatwebsite\Excel\Concerns\WithChunkReading;
use Maatwebsite\Excel\Concerns\WithStartRow;

class WuxiLabProductsImportModel implements ToArray,WithChunkReading,SkipsEmptyRows,WithStartRow
{
    use Importable;

    public function array($row): array
    {
        return $row;
    }

    public function chunkSize(): int
    {
        return 5000;
    }

    public function startRow(): int
    {
        return 2;
    }

    public function getModelName(): string
    {
        return 'wuxiLabProductsImport';
    }
}