<?php
namespace App\Jobs\queue;

use App\Jobs\Job;

class QueueJob extends Job
{
    public $params;
    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($params= '')
    {
        $this->params = $params;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        if(!empty($this->params)){
            if(isset($this->params['method']) && method_exists($this->params['consumer'],$this->params['method'])){
                //app($this->params['consumer'])->$this->params['method']($this->params['params']);
                $method = $this->params['method'];
                call_user_func([app($this->params['consumer']),$method],$this->params['params']);
                //app($this->params['consumer'])->{$method}($this->params['params']);
            }
        }
    }
}