<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Providers;

use Laravel\Lumen\Providers\EventServiceProvider as ServiceProvider;

class ListenersEventServiceProvider extends ServiceProvider
{
    protected $listen = [
        'App\Events\SysLogEvent' => [
            'App\Listeners\SysLogListener',
        ],
    ];
}
