<?php

namespace App\Repositories\Transformers\Rhawn;

use App\Repositories\Models\Model;
use League\Fractal\TransformerAbstract;

class CustomersTransformer extends TransformerAbstract
{
    public function transform($customers): array
    {
        $customerTransReturn = [];
        if($customers){
            foreach($customers as $customer){
                if($customer instanceof Model){
                    $customer = $customer->toArray();
                }
                $temp = [];
                $temp['cus_number'] = $customer['cus_no'];
                $temp['cus_email'] = $customer['cus_email'];
                $temp['cus_name'] = $customer['cus_name'];
                $temp['cus_company'] = $customer['cus_company'];
                $temp['cus_mobile'] = $customer['cus_mobile'];
                $temp['cus_phone'] = $customer['cus_phone'];
                $temp['cus_status'] = $customer['cus_status'];

                $customerTransReturn[] = $temp;
            }
        }
        return $customerTransReturn;
    }
}
