<?php

namespace App\Rhawn\Repositories\Models\Chemsite;

use App\Repositories\Models\Model;

class ChemsiteCustomer extends Model
{

    protected $table = 'customers';

    protected $connection = 'chemsite_mysql';

    protected $primaryKey = 'cus_id';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
    ];

    protected $guarded = ['created_at', 'updated_at'];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [

    ];

    /**
     * update时不做自动更新时间操作
     * @return null
     */
    public function getUpdatedAtColumn()
    {
        return null;
    }

    public function getCreatedAtColumn()
    {
        return null;

    }

}