<?php

namespace App\Support\Facades;

use Illuminate\Support\Facades\Facade as IlluminateFacade;

/**
 * @method static produerSend($contentValue, $topic = null)
 * @method static startConsumer()
 * @method static storeFailQueue($failQueueContent)
 */
class SimpleKafka extends IlluminateFacade
{
    protected static function getFacadeAccessor()
    {
        return \App\Services\Kafka\KafkaService::class;
    }
}
