<?php

namespace App\Http\Controllers\Swagger\Responses\Bhua\Properties;

use OpenApi\Annotations\Schema;
use OpenApi\Annotations\Property;

/**
 * @Schema(
 *     title="品牌详情内容",
 *     description="品牌详情内容"
 * )
 */
class BrandsDetailProperty
{
    /**
     * @Property(
     *     type="integer",
     *     description="品牌id"
     * )
     *
     * @var string
     */
    public $bId;

    /**
     * @Property(
     *     type="string",
     *     description="品牌中文名称"
     * )
     *
     * @var string
     */
    public $bCnName;


    /**
     * @Property(
     *     type="string",
     *     description="品牌英文名称"
     * )
     *
     * @var string
     */
    public $bEnName;

}
