<?php


namespace App\ImportExport\WuxiLab\Import;

use App\ImportExport\BaseImport;
use App\ImportExport\WuxiLab\Import\Models\WuxiLabProductsImportModel;

class WuxiLabUpdateProductsImport extends BaseImport
{

    public function __construct()
    {
        parent::__construct();
    }

    public function loadImportExcel($file)
    {
        return parent::loadExcel($file, WuxiLabProductsImportModel::class);
    }

    public function getTitleHeader()
    {
        return [
            'ProductId', 'CAS', 'MDL', 'SMILES', 'MolecularFormula', 'MolecularWeight', 'ChemicalDissolveCas', 'SubCategory', 'UN', 'EnglishName', 'ChineseName', 'Brand', 'StorageCondition',
            'TransportationCondition', 'IsImported', 'LeadTimeMinDays', 'LeadTimeMaxDays', 'LeadTimeBackOrderDays', 'Purity', 'ProductCategory',
            'ShipsAdditionalDescription', 'Remark'
        ];
    }
}
