<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Jobs;

use App\Services\InteglePlatformService;

class InteglePlatformJob extends Job
{
    protected $actionType = null;
    protected $params = null;

    public function __construct($actionType,$params)
    {
        $this->actionType = $actionType;
        $this->params = $params;
    }

    public function handle()
    {
        $service = app(InteglePlatformService::class);
        switch($this->actionType){
            case 'batchUpdateProduct' :
                $service->batchUpdateProducts();
                break;
            default:
        }
    }
}
