<?php
namespace App\Mailer;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class MailTempl extends Mailable
{
    use Queueable, SerializesModels;

    private $data;

    public function __construct($data = [])
    {
        $this->data = $data;
    }


    public function build()
    {
       return $this->markdown('emails.mail',$this->data);
    }

}
