<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Repositories\Models;

class ApiPermissions extends Model
{

    protected $connection = 'mysql';
    protected $table = 'api_permissions';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'id', 'permission_name', 'permission_title', 'router_path', 'remark', 'created_by','updated_by'
    ];

}
