<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Repositories\Models;

class WuxiLabUpdateProducts extends Model
{

    protected $connection = 'mysql';
    protected $table = 'wuxilab_update_products';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'product_id', 'cas', 'mdl', 'smiles', 'molecular_formula', 'molecular_weight', 'chemical_dissolve_cas','un',
        'english_name','chinese_name','brand','storage_condition','transportation_condition','is_imported','lead_time_min_days','lead_time_max_days',
        'lead_time_back_order_days','purity','product_category','ships_additional_description','remark'
    ];

}
