<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Repositories\Transformers;

use League\Fractal\TransformerAbstract;

class CustomersTransformer extends TransformerAbstract
{
    public function transform($customers)
    {
        $customerTransReturn = [];
        if($customers){
            foreach($customers as $customer){
                $temp = [];
                $temp['cus_id'] = $customer->cus_id;
                $temp['cus_number'] = $customer->cus_number;
                $temp['company_name'] = $customer->company_name;
                $temp['token'] = $customer->token;
                $temp['status'] = $customer->status;
                $temp['platform_params'] = $customer->platform_params;
                $temp['cus_type'] = $customer->cus_type;
                $temp['created_at'] = $customer->created_at;
                $temp['updated_at'] = $customer->updated_at;
                array_push($customerTransReturn,$temp);
            }
        }
        return $customerTransReturn;
    }
}
