<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Repositories\Transformers\Rhawn\Bhua;

use League\Fractal\TransformerAbstract;

class BrandsTransformer extends TransformerAbstract
{
    public function transform($brands)
    {
        $brandsTransReturn = [];
        if($brands){
            foreach($brands as $brand){
                $temp = [];
                $temp['b_id'] = $brand['b_id'];//中文别名
                $temp['b_cn_name'] = $brand['b_cn_name'];//CAS号
                $temp['b_en_name'] = $brand['b_en_name'];//中文名
                array_push($brandsTransReturn,$temp);
            }
        }
        return $brandsTransReturn;
    }
}
