<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Repositories\Transformers\Rhawn;

use League\Fractal\TransformerAbstract;

class InvoiceListTransformer extends TransformerAbstract
{
    public function transform($invoice)
    {
        $invoiceTransReturn = [];
        if($invoice){
            foreach($invoice as $invo){
                $temp = [];
                $temp['soi_no'] = $invo['soi_no'];
                $temp['soi_title'] = $invo['soi_title'];
                $temp['soi_amount'] = $invo['soid_amount'];
                $temp['soi_tax'] = $invo['soi_tax'];
                $temp['soi_total'] = $invo['soi_total'];
                $temp['soi_date'] = date('Y-m-d', $invo['soi_date']);
                $temp['soi_ctime'] = date('Y-m-d H:i:s', $invo['soi_ctime']);

                array_push($invoiceTransReturn,$temp);
            }
        }
        return $invoiceTransReturn;
    }
}
