<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Repositories\Transformers\Rhawn;

use League\Fractal\TransformerAbstract;

class InvoiceSorderItemsTransformer extends TransformerAbstract
{
    public function transform($invoice)
    {
        $invoiceTransReturn = [];
        if($invoice){
            foreach($invoice as $invo){
                $temp = [];
                $temp['so_no'] = $invo['so_no'];
                $temp['dpd_num'] = $invo['dpd_num'];
                $temp['amount'] = $invo['soid_amount'];

                array_push($invoiceTransReturn,$temp);
            }
        }
        return $invoiceTransReturn;
    }
}
