<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
 */

$api->version('v1', function($api) {

    $api->group(['namespace'=>'App\Http\Controllers\V1','middleware' => ['apiAuth'], 'providers' => 'jwt'], function($api) {

        $api->post('/openapi/zkh/orderDelivery', ['permission' => 'openapi.zkh.orderDelivery', 'uses'=>'ZhenkhController@orderDelivery']);
        $api->post('/openapi/zkh/getOrderDeliveryPdf', ['permission' => 'openapi.zkh.getOrderDeliveryPdf', 'uses'=>'ZhenkhController@getOrderDeliveryPdf']);
        $api->post('/openapi/zkh/orderConfirm', ['permission' => 'openapi.zkh.orderConfirm', 'uses'=>'ZhenkhController@orderConfirm']);
    });

});

